*,
::before,
::after {
  box-sizing: border-box;
  scroll-behavior: smooth;
}
body {
  background: #fdfbfb;
  margin: 0;
  letter-spacing: 0.02em;
}

.step-section {
  padding: 80px 20px 40px;
  letter-spacing: 0.02em;
}

.form-outer {
  max-width: 1000px;
  margin: auto;
  width: 100%;
  padding: 0 !important;
  position: relative;
}

/* progress */
.progress-bar {
  width: 100%;
  border: 1px solid #242d3414;
  padding: 5px;
  background: #fff;
  border-radius: 12px;
  margin-bottom: 94px;
}

.progress {
  width: 9%;
  height: 10px;
  background: #9e67e4;
  border-radius: 10px;
}

/* logo */
.logo-box {
  text-align: center;
  margin-bottom: 8px;
}

.logo-box img {
  height: 33px;
}

.back-btn img {
  width: 18px;
}
body {
  font-family: Neue Haas Grotesk Display Pro;
}
/* heading */
h2 {
  font-weight: 450;
  font-size: 48px;
  line-height: 1.2;
  color: #000;
  margin: 20px 0;
}

h2 span {
  color: #9e67e4;
  font-family: Canela Trial;
  font-weight: 400;
  font-style: Italic;
}

.sub-text, .rrx-step-head p, .rrx-multi-hint{
  font-weight: 400;
  font-size: 24px !important;
  text-align: center;
  line-height: 1.2;
  color: #000 !important;
  margin-bottom: 32px;
}

/* form */
.form-group {
  margin-bottom: 25px;
}
rrx-input:focus,
rrx-select:focus,
textarea:focus {
  border-color: none;
  box-shadow: none;
}
textarea {
  width: 100%;
  min-height: 250px;
  border: 1px solid #242d3414;
  border-radius: 10px;
  padding: 17px 20px;
  box-sizing: border-box;
}
/* remove blue default focus (optional) */
rrx-input:focus-visible,
rrx-select:focus-visible,
textarea:focus-visible {
  outline: none;
}
label {
  display: block;
  margin-bottom: 15px;
  font-weight: 500;
  font-size: 18px;
  line-height: 100%;
  letter-spacing: 0;
}
.bg-arrow ,.rrx-select {
  padding-inline: 53px;
  background: url("/wp-content/uploads/2026/04/Group-12.svg")
    no-repeat right 30px center;
  background-size: 18px;
  background-color: #fff;
}
.dob rrx-input:first-child {
  padding-inline: 53px;
  background: url("/wp-content/uploads/2026/04/Group-15.svg")
    no-repeat left 30px center;
  background-size: 14px;
  background-color: #fff;
}
.state-img {
  position: relative;
}
.state-img::after {
  content: "";
  position: absolute;
  left: 30px;
  bottom: 30px;
  width: 15px;
  height: 15px;
  background: url("/wp-content/uploads/2026/04/Group-16.svg")
    no-repeat center;
  background-size: contain;
  pointer-events: none;
}
.sex-img {
  position: relative;
}
.sex-img::after {
  content: "";
  position: absolute;
  left: 30px;
  bottom: 30px;
  width: 10px;
  height: 15px;
  background: url("/wp-content/uploads/2026/04/Group-14.svg")
    no-repeat center;
  background-size: contain;
  pointer-events: none;
}

.rrx-select,
.rrx-input {
  width: 100%;
  padding: 28px 30px;
  border-radius: 10px;
  border: 1px solid #242d3414;
  background-color: #fff;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  box-sizing: border-box;
}
.rrx-select::placeholder,
.rrx-input ::placeholder,
textarea::placeholder {
  font-family: Neue Haas Grotesk Display Pro;
  font-weight: 400;
  font-size: 16px;
  color: #000;
  line-height: 100%;
}
/* dob */
.dob-inputs {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}

/* button */
.btn-box {
  margin-top: 50px;
}

.continue-btn {
  display: block;
  background: #b6bf8a;
  padding: 19px 20px;
  border-radius: 30px;
  text-decoration: none;
  color: #fff;
  font-family: Neue Haas Grotesk Display Pro;
  font-weight: 500;
  font-size: 16px;
  line-height: 100%;
  text-align: center;
  text-transform: uppercase;
  border: 1px solid transparent;
  transition: all 0.3s ease;
}

.continue-btn:hover {
  background: transparent;
  color: #000;
  border: 1px solid #b6bf8a;
}
.line {
  max-width: 1440px;
  width: 100%;
  margin: 100px 0 40px;
  height: 1px;
  background: #00000012;
}
.botom {
  max-width: 1440px;
  width: 100%;
  margin: 0 auto;
  text-align: center;
}
.b-text {
  font-family: Neue Haas Grotesk Display Pro;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.4;
  text-align: center;
  margin: 0;
  text-transform: uppercase;
}
/* step-2 */

.product-slect {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 31px;
}

.product-outer {
  background-color: #f2e9e499;
  border-radius: 10px;
  display: flex;
  align-items: center;
  gap: 30px;
  justify-content: space-between;
}
.product-outer.active {
  background-color: #fff;
}
.prd-imh {
  flex: 0 0 99px;
}

.prd-text {
  padding: 25px 30px;
}

.prd-text .pr-title {
  margin: 0;
  font-family: Neue Haas Grotesk Display Pro;
  font-weight: 500;
  font-size: 24px;
  line-height: 100%;
  color: #000;
  margin-bottom: 4px;
}

.prd_subtext {
  font-family: Neue Haas Grotesk Display Pro;
  font-weight: 400;
  font-size: 16px;
  line-height: 100%;
}
.title-out {
  display: flex;
  align-items: center;
  gap: 10px;
}

span.new-prd {
  padding: 7px 10px;
  background: #fff;
  border-radius: 70px;
  font-weight: 500;
  font-size: 10px;
  line-height: 100%;
  color: #9e67e4;
  text-transform: uppercase;
}

.terms-section {
  margin-top: 14px;
}
/* text */
.terms-text {
  margin: 15px 0 12px;
  color: #000;
  font-family: Neue Haas Grotesk Display Pro;
  font-weight: 600;
  font-size: 18px;
  line-height: 100%;
}

/* checkbox row */
.checkbox-row {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  font-size: 13px;
  color: #555;
}
.step-2-text {
    margin-top: 14px;
    font-family: Neue Haas Grotesk Display Pro;
    font-weight: 450;
    font-size: 16px;
    line-height: 1.6;
    letter-spacing: 0.02em;
}
/* checkbox */
/* hide default */
.checkbox-row rrx-input {
  display: none;
}

/* label style */
.checkbox-row label {
  position: relative;
  padding-left: 30px;
  cursor: pointer;
  font-size: 16px;
  letter-spacing: 0.02em;
  line-height: 100%;
  margin: 0;
  color: #000;
}

/* box */
.checkbox-row label::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  border: 1px solid #242d3414;
  border-radius: 4px;
  background: #fff;
}

/* green background when checked */
.checkbox-row input:checked + label::after {
  border-color: transparent;
}


.checkbox-row input:checked + label::after {
    content: "";
    position: absolute;
    left: 0px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    background: url("https://sagmeticinfotech.com/wp/2026/ResurgenceRX/wp-content/uploads/2026/04/Group-1707480146.svg")
    no-repeat center;
    background-size: contain;
}




/* tick */
.checkbox-row:checked + label::after {
  content: "";
  position: absolute;
  left: 0px;
  top: 50%;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  background: url("/wp-content/uploads/2026/04/Group-1707480146.svg")
    no-repeat center;
  background-size: contain;
}

/* links */
.checkbox-row a {
  color: #7b3fe4;
  text-decoration: none;
}

.checkbox-row a:hover {
  text-decoration: underline;
}
/* step3 */

.img-sp3 {
  position: relative;
}
.img-sp3 rrx-input {
  padding-left: 60px;
}
.img-sp3 img {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 30px;
}
/* step_4 */
.opt_group {
  display: flex;
  flex-direction: column;
  gap: 32px;
}
#step4 .checkbox-row label::before,
#step6 .checkbox-row label::before {
  width: 28px;
  height: 28px;
}

#step4 .checkbox-row label,
#step6 .checkbox-row label {
  padding-left: 44px;
}
#step4 .checkbox-row rrx-input:checked + label::after,
#step6 .checkbox-row rrx-input:checked + label::after {
  width: 30px;
  height: 30px;
}
#step4 .terms-text {
  margin: 32px 0;
}

/* step5 */
#step5 .step-2-text a {
  color: #000;
}

/* step6 */
.terms-text {
  margin: 30px 0 18px;
}
.btm-pra p {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.4;
  color: #000;
  margin: 23px 0 0;
  letter-spacing: 0.02em;
}
.add_group {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
}

/* step7 */
.filter-box .bg-arrow {
    border: 1px solid #242d3414;
    padding: 18px 25px;
    width: 418px;
    border-radius: 5px;
    background-color: transparent;
}

.filter-box {
  display: flex;
  gap: 13px;
  align-items: center;
  max-width: 950px;
  width: 100%;
  margin: 0 auto 40px;
}

.filter-box * {
  margin: 0 !important;
}
.bandg p {
  padding: 9px 15px;
  background: #fff;
  border-radius: 70px;
  color: #000;
  margin: 0;
  font-weight: 500;
  font-size: 12px;
  line-height: 100%;
}

.bandg {
  position: absolute;
  top: 20px;
  z-index: 12;
  color: #fff;
  display: flex;
  left: 20px;
  flex-wrap: wrap;
  gap: 5px;
}

.collection_img_outer {
  position: relative;
}
.clo-pod {
    border-radius: 20px;
    overflow: hidden;
    border: 1px solid #242D3414;
	cursor: pointer;
}
.clo-pod.active{
	border: 1px solid #763b9c;
}
.medication-product-collection .medication-grid{
	display:none;
}
.medication-product-collection .medication-grid.active{
	display:block;
}

.product-collection {
  display: grid;
  grid-template-columns: 1fr 1fr;
  max-width: 950px;
  margin: 0 auto;
  width: 100%;
  gap: 30px;
}
.collec-des {
  /* border: 1px solid #242d3414;
  border-top: none; */
  padding: 24px 25px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
}
.collec-des .terms-text.terms-text1 {
  margin: 0;
}
.sub-drrc {
  font-weight: 400;
  font-size: 14px;
  margin: 12px 0 22px;
  line-height: 1.4;
}
.btn-prd a {
  display: inline-flex;
  width: 100%;
  justify-content: space-between;
  gap: 10px;
  font-weight: 500;
  font-size: 14px;
  text-decoration: none;
  color: #000;
  line-height: 100%;
}
/* step9 */

.cam-pht a {
  background: transparent;
  padding: 19px 20px;
  border-radius: 30px;
  text-decoration: none;
  color: #000;
  font-family: Neue Haas Grotesk Display Pro;
  font-weight: 500;
  font-size: 16px;
  display: flex;
  justify-content: center;
  gap: 8px;
  line-height: 100%;
  text-align: center;
  text-transform: capitalize;
  border: 1px solid #b6bf8a;
  transition: all 0.3s ease;
}
.cam-pht a:hover {
  background: #b6bf8a;
  color: #fff;
  border: 1px solid #b6bf8a;
}
.cam-pht a img {
  transition: all 0.3s ease;
}
.cam-pht a:hover img {
  filter: brightness(0) invert(1);
}
.cam-pht.take_pht {
  margin-bottom: 16px;
}
.photo {
  width: 100%;
  height: 300px;
  border: 1px solid #242d3414;
  border-radius: 10px;
  background: #fff;
  margin-bottom: 25px;
}
/* step10 */
.text-pra {
  max-width: 980px;
  width: 100%;
  margin-top: 40px;
}
.text-pra p {
  font-weight: 400;
  font-size: 22px;
  margin: 0;
  line-height: 1.4;
}
.text-pra p:first-child {
  margin-bottom: 30px;
}

/* step11 */
.summmary-prd {
  border: 1px solid #242d3414;
  background: #fff;
  padding: 25px 30px;
  border-radius: 10px;
  display: flex;
  align-items: center;
  width: 100%;
  gap: 24px;
}
.s-prdt-img {
  flex: 0 0 125px;
}
.s-text {
  display: flex;
  width: 100%;
  justify-content: space-between;
  gap: 20px;
}
.s_title {
  font-weight: 500;
  font-size: 24px;
  line-height: 1.2;
  margin: 0 0 10px;
}
p.sub-s-text {
  margin: 0;
  font-weight: 400;
  font-size: 16px;
  line-height: 1.4;
}
.s_price span {
  font-weight: 600;
  font-size: 18px;
  line-height: 100%;
  letter-spacing: 0;
}
.grid3-box {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px;
  text-align: center;
}
.grid3-box .box {
  padding: 22px 22px 27px;
  border: 1px solid #9248c340;
  border-radius: 15px;
  transition: border-color 0.3s ease;
}
.grid3-box .box:hover {
  border-color: #9e67e4;
}
.hed-line {
  font-weight: 400;
  font-size: 20px;
  margin: 26px 0 0;
  line-height: 100%;
}
.grid3-box .box-img {
  width: 52px;
  height: 52px;
  margin: 0 auto;
}
.check_imp {
  background: #b6bf8a1a;
  border-radius: 10px;
  padding: 32px 20px;
  margin-top: 80px;
}
.terms-text.terms-text1 {
  margin: 36px 0 30px;
  font-size: 20px;
}
.grid3-box .box-img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: block;
}

.grid3-box .terms-text {
  margin: 11px 0;
}

.grid3-box .box-pra {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.4;
  margin: 0;
}

/* step12 */
.step12 .sub-text {
  max-width: 833px;
  width: 100%;
  margin: 15px auto 50px;
}
.total_price {
  padding: 27px 30px 30px;
  border: 1px solid #242d3414;
  border-radius: 10px;
  background: #fff;
  margin: 34px 0 44px;
  display: flex;
  flex-direction: column;
  gap: 22px;
}
.total-hed {
  font-weight: 400;
  font-size: 26px;
  line-height: 1.4;
  margin: 0;
}
.s-text-diff1 .s_title {
  margin: 0;
}
.s-text.s-text-dif {
  border-bottom: 1px solid #242d3414;
  padding-bottom: 26px;
}
.payment_outer {
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  overflow: hidden;
  margin-top: 20px;
}

.pym-bg rrx-input {
  padding-right: 53px;
  background: url("/wp-content/uploads/2026/04/Group-34800.svg")
    no-repeat right 30px center;
  background-size: 14px;
  background-color: #fff;
}
.payment-form {
  padding: 25px;
  border: 1px solid #242d3414;
  border-top: none;
  background: #b6bf8a08;
  margin-bottom: 20px;
}

.pmt-option {
  background: #000;
  padding: 22px 30px 22px 25px;
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: space-between;
  color: #ffff;
}

.radio {
  width: 21px;
  height: 21px;
  margin: 0;
  border: 1px solid #ffffff;
  padding: 5px;
  border-radius: 50%;
}

.radio span {
  background: #fff;
  height: 9px;
  display: block;
  border-radius: 50%;
  width: 9px;
}

.card-radio {
  display: flex;
  gap: 10px;
  align-items: center;
  font-weight: 500;
  font-size: 18px;
  line-height: 100%;
}
.s_price {
  font-weight: 600;
  font-size: 22px;
  line-height: 100%;
  letter-spacing: 0;
}
/* thankyou */
.step-section.thankyou .form-outer {
  max-width: 732px;
  text-align: center;
}
.thank_tick {
  max-width: 115px;
  width: 100%;
  margin: 71px auto 30px;
}
.thank_email {
  border: 1px solid #f2e9e4;
  padding: 30px;
  border-radius: 10px;
  text-align: center;
  background: #f2e9e44d;
}

.thank_email p {
  font-weight: 400;
  font-size: 18px;
  margin: 14px 0 16px;
}
.thank_email .imh {
    width: fit-content;
    margin: 0 auto;
}
.thank_you {
    max-width: 731px;
    margin: 0 auto;
}
.hilt-text {
  font-weight: 600;
  font-size: 20px;
  line-height: 100%;
  letter-spacing: 0.02em;
  color: #9e67e4;
  margin-bottom: 10px;
}
.thank_email a {
  font-weight: 500;
  font-size: 18px;
  line-height: 100%;
  color: #000;
  text-decoration: none;
  text-align: center;
}
@media (max-width: 1024px) {
  h2 {
    font-size: 38px;
    margin: 10px 0 30px;
  }
  .step-section {
    padding: 60px 20px 30px;
  }
  .sub-text, .rrx-step-head p, .rrx-multi-hint {
    font-size: 20px !important;
    margin-bottom: 22px;
  }
  rrx-select,
  rrx-input {
    padding: 20px 30px;
  }
  .bg-arrow, .rrx-select {
    padding-inline: 35px;
    background: url("/wp-content/uploads/2026/04/Group-12.svg")
      no-repeat right 20px center;
    background-size: 15px;
    background-color: #fff;
  }
  .state-img::after {
    bottom: 21px;
    left: 17px;
  }
  .sex-img::after {
    left: 20px;
    bottom: 21px;
  }
  .line {
    max-width: 1440px;
    width: 100%;
    margin: 60px 0 20px;
    height: 1px;
    background: #00000012;
  }
  .dob rrx-input:first-child {
    padding-inline: 30px;
    background: url("/wp-content/uploads/2026/04/Group-15.svg")
      no-repeat left 12px center;
    background-size: 14px;
    background-color: #fff;
  }
  /* step_4 */
  .opt_group {
    gap: 20px;
  }
  #step4 .checkbox-row label::before,
  #step6 .checkbox-row label::before {
    width: 18px;
    height: 18px;
  }

  #step4 .checkbox-row label,
  #step6 .checkbox-row label {
    padding-left: 30px;
  }
  #step4 .checkbox-row rrx-input:checked + label::after,
  #step6 .checkbox-row rrx-input:checked + label::after {
    width: 20px;
    height: 20px;
  }
  .checkbox-row label {
    font-size: 14px;
    line-height: 1.5;
  }
  #step4 .terms-text {
    margin: 20px 0;
  }
  .collection_img_outer img {
    max-width: 460px;
    width: 100%;
  }
  .collec-des {
    padding: 15px;
  }
  .product-collection {
    gap: 20px;
  }
}
@media (max-width: 768px) {
  .product-outer {
    flex-direction: column-reverse;
    gap: 20px;
    text-align: center;
  }
  .title-out {
    justify-content: center;
  }
  .terms-text {
    font-size: 16px;
    line-height: 1.4;
  }
  h2 {
    font-size: 30px;
  }
  .progress-bar {
    margin-bottom: 50px;
  }
  .prd-text {
    padding-top: 0;
  }
  .title-out {
    justify-content: center;
    flex-direction: column;
    margin-bottom: 10px;
    gap: 5px;
  }

  label {
    margin-bottom: 10px;
    font-size: 16px;
  }
  .sub-text, .rrx-step-head p, .rrx-multi-hint{
    font-size: 18px !important;
    margin-bottom: 22px;
  }
  .btn-box {
    margin-top: 40px;
  }
  rrx-select,
  rrx-input {
    padding: 15px 30px;
  }
  .state-img::after {
    bottom: 16px;
    left: 17px;
  }
  .sex-img::after {
    left: 20px;
    bottom: 16px;
  }
  .form-group {
    margin-bottom: 20px;
  }
  .sub-text img {
    width: 15px;
  }
  .thank_tick {
    max-width: 80px;
    height: 80px;
    width: 100%;
    margin: 41px auto 30px;
  }
  .thank_tick img {
    height: 100%;
    width: 100%;
  }
  .check_imp {
    padding: 25px 20px;
    margin-top: 40px;
  }
  .s-text {
    gap: 10px;
    flex-direction: column;
  }
  .grid3-box {
    grid-template-columns: repeat(1, 1fr);
  }
  .hed-line {
    font-size: 18px;
    margin: 20px 0 0;
    line-height: 1.4;
  }
  .check_imp {
    padding: 20px 15px;
    margin-top: 30px;
  }
  .total_price .s-text {
    gap: 10px;
    flex-direction: row;
  }
}
@media (max-width: 575px) {
  .dob-inputs {
    grid-template-columns: 1fr;
  }
  .add_group {
    grid-template-columns: 1fr;
    gap: 20px;
  }
  .back-btn {
    margin: 15px 0;
  }
  .thank_email {
    padding: 20px;
  }
  .summmary-prd {
    padding: 15px;
    gap: 15px;
    flex-direction: column;
  }
  .s-text {
    flex-direction: row;
  }
  .pmt-option {
    padding: 15px 20px;
    align-items: self-start;
    flex-direction: column;
    gap: 10px;
  }
  .payment-form {
    padding: 15px;
  }
  .total_price {
    padding: 15px 20px;
    margin: 25px 0;
    gap: 15px;
  }
  .total_price .s-text {
    gap: 30px;
  }
  .product-collection {
    grid-template-columns: 1fr;
  }
  .collection_img_outer img {
    max-width: 100%;
    width: 100%;
  }

  .filter-box .bg-arrow, .rrx-select {
    width: 100%;
  }
  .filter-box .form-group.bg-arrow {
    width: 100%;
  }
  .filter-box {
    flex-direction: column;
    margin: 0 auto 30px;
    align-items: self-start;
  }
}
